Subject: Re: [RFC] Stable interface index option

From: Andrew Lunn <[email-masked]>
Date: Wed, 2 Dec 2015 02:41:18 +0100

> In general the ifindexes are designed to not be reused very fast.

Some parts of multicast group management rely on this. You need to
remove group memberships from a socket when an interface has
disappeared, e.g. a VPN interface has gone away. You can pass the
ifindex of the no longer existing interface when removing the group
memberships. If that ifindex has been re-used, you are going to have
interesting race conditions.

	    Andrew